//
//  GameOverException.java
//  cribbage
//
//  Created by Nathan Haug on Thu Apr 29 2004.
//  Copyright (c) 2004 __MyCompanyName__. All rights reserved.
//

public class GameOverException extends Exception{
	
	private int winner;

	public GameOverException(int winner) {
		this.winner = winner;
	}

	public String getMessage() {
		return "The game has ended.";
	}
	
	public int getWinner() {
		return winner;
	}
}